Loading...
Searching...
No Matches
gx_modulesequencer.h File Reference

Go to the source code of this file.

## Classes

class | gx_engine::ModuleSelector
class | gx_engine::ProcessingChainBase
class | gx_engine::ThreadSafeChainPointer< F >
struct | gx_engine::monochain_data
struct | gx_engine::stereochain_data
class | gx_engine::MonoModuleChain
class | gx_engine::StereoModuleChain
class | gx_engine::EngineControl
class | gx_engine::ModuleSequencer

## Namespaces

namespace | gx_engine

## Typedefs

typedef void(* | gx_engine::monochainorder) (int count, float *output, float *output1, PluginDef *plugin)
typedef void(* | gx_engine::stereochainorder) (int count, float *input, float *input1, float *output, float *output1, PluginDef *plugin)

## Enumerations

enum | gx_engine::GxEngineState { gx_engine::kEngineOff = 0 , gx_engine::kEngineOn = 1 , gx_engine::kEngineBypass = 2 }